Subject: RE: Checking mount points
From: "Richardson, Tony" <[email-masked]>
To: <[email-masked]>
Cc: "Robert Collins" <[email-masked]>
Date: Fri, 27 Sep 2002 09:56:53 -0500

> From: Robert Collins [mailto:[email-masked]] 
> On Sat, 2002-09-28 at 00:07, Richardson, Tony wrote:
> > What is the easiest way to check if /home/$USER (or some other
> > directory) has been mounted (either system-wide or 
> user-only)? I know 
> > that I can use regtool (checking both the system and user keys) or 
> > parse the output from "mount",  but I was hoping for something as 
> > simple as typing "isitmounted /home/$USER" and have the unknown 
> > isitmounted command return an appropriate exit status.
> > 
> > I'm trying to write startup scripts so that mount points get set 
> > automatically when running cygwin from a network share (but 
> I don't to 
> > override /home/$USER if that already exists.)
> >
> 'mount' should do it.

Any suggestions on how to do it?

"mount /home/$USER" returns "not enough arguments" and I haven't found a
-check option to mount.

Tony

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/